package com.chelvc.cloud.vehicle.server.copier;
import com.chelvc.cloud.vehicle.client.dto.FeedBackReplyDTO;
import com.chelvc.cloud.vehicle.client.param.FeedBackReplyModifyParam;
import com.chelvc.cloud.vehicle.server.entity.FeedBackReply;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 意见反馈回复拷贝接口
 *
 * @author liude
 * @date 2024/1/16
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface FeedbackReplyCopier {
    /**
     * 对象拷贝接口实例
     */
    FeedbackReplyCopier INSTANCE = Mappers.getMapper(FeedbackReplyCopier.class);

    /**
     * 意见反馈回复信息拷贝
     *
     * @param feedBackReply 意见反馈回复信息
     * @return 意见反馈回复信息
     */
    FeedBackReplyDTO copying(FeedBackReply feedBackReply);

    /**
     * 意见反馈回复信息拷贝
     *
     * @param feedBackReplies 意见反馈回复信息集合
     * @return 意见反馈回复信息列表
     */
    List<FeedBackReplyDTO> copying(Collection<FeedBackReply> feedBackReplies);

    /**
     * 意见反馈回复信息拷贝
     *
     * @param param 意见反馈回复更新参数
     * @return 意见反馈回复信息
     */
    FeedBackReply copying(FeedBackReplyModifyParam param);

    /**
     * 意见反馈回复信息拷贝
     *
     * @param param    意见反馈回复更新参数
     * @param feedBackReply 意见反馈回复信息
     */
    void copying(FeedBackReplyModifyParam param, @MappingTarget FeedBackReply feedBackReply);
}
