package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.client.param.ReservationQueryParam;
import com.chelvc.cloud.vehicle.server.entity.Reservation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 预约记录数据操作接口
 *
 * @author Woody
 * @date 2023/7/17
 */
@Mapper
public interface ReservationMapper extends BaseMapper<Reservation> {

    /**
     * 查询用户预约列表
     *
     * @param param 查询参数
     * @return 用户预约列表
     */
    List<Reservation> listUserReservations(@Param("userId") Long userId, @Param("param") ReservationQueryParam param);
    /**
     * 更新预约单的状态
     * @param id 预约单ID
     * @param status 预约单的状态
     */
    void updateReservationsStatus(@Param("id")Long id,@Param("status")String status);

}
