package com.chelvc.cloud.vehicle.server.service;

import com.chelvc.cloud.vehicle.client.constant.SystemInformType;
import com.chelvc.cloud.vehicle.client.dto.*;
import com.chelvc.framework.common.model.Pagination;
import com.chelvc.framework.common.model.Paging;

public interface InformService {

    /**
     * 获取用户的订单通知列表
     *
     * @param paging 分页信息
     * @return 用户的订单列表
     */
    Pagination<OmsOrderOperateHistoryDTO> selectOmsOrderOperateHistoryListByUserId(Long userId, Paging paging);

    /**
     * 将新系统通知标识未读改为已读
     *
     */
    void changeSystemInformFlag(SystemInformType type, Long userId);

    /**
     * 查看是否有系统新消息
     *
     */
    NewInformDTO getNewInform(Long userId);

    /**
     * (商家端)查看是否有系统新消息
     *
     */
    NewMerchantInformDTO getMerchantNewInform(Long merchantId);

    /**
     * (商家端)获取订单退款申请列表
     *
     * @param paging 分页信息
     * @return 用户的订单通知列表
     */
    Pagination<OmsOrderReturnApplyIdsDTO> listOrderReturnApply(Long merchantId, Paging paging);

    /**
     * 获取用户的支付通知列表
     *
     * @param paging 分页信息
     * @return 用户的订单通知列表
     */
    Pagination<OmsOrderDTO> selectOmsOrderPayHistoryListByUserId(Long userId, Paging paging);

    /**
     * 取用户的点赞回复通知列表
     *
     * @param paging 分页信息
     * @return 用户的订单通知列表
     */
    Pagination<EvaluateDTO> selectEvaluateListByUserId(Long userId, Paging paging);

    /**
     * 取用户的评价通知列表
     *
     * @param paging 分页信息
     * @return 用户的评价通知列表
     */
    Pagination<CommentDTO> selectCommentListByUserId(Long userId, Paging paging);

    /**
     * 取用户的优惠券通知列表
     *
     * @param paging 分页信息
     * @return 用户的评价通知列表
     */
    Pagination<UserCouponDTO> selectUserCouponListByUserId(Long userId, Paging paging);
}
