package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.client.dto.NoticeDTO;
import com.chelvc.cloud.vehicle.client.param.NoticeModifyParam;
import com.chelvc.cloud.vehicle.client.param.NoticePagingParam;
import com.chelvc.cloud.vehicle.server.entity.Notice;
import com.chelvc.framework.common.model.Pagination;

import java.util.List;

/**
 * 通知配置业务操作接口
 *
 * @author liude
 * @date 2023/12/5
 */
public interface NoticeService extends IService<Notice> {
    /**
     * 新增通知
     *
     * @param param 新增参数
     * @return 主键
     */
    Long addNotice(NoticeModifyParam param);

    /**
     * 修改通知
     *
     * @param id    主键
     * @param param 修改参数
     */
    void updateNotice(Long id, NoticeModifyParam param);

    /**
     * 查询通知
     *
     * @param param 查询参数
     * @return 通知分页信息
     */
    Pagination<NoticeDTO> getNoticePaging(NoticePagingParam param);

    /**
     * 查询通知列表
     * @return 通知信息
     */
    List<NoticeDTO> getNoticeList(String type);
}
